package com.yaoyicloud.constant.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 报告模块类型
 *
 */
@Getter
@AllArgsConstructor
public enum ModuleType {
    PLATFORM_COMPANY_BASICINFO("PLATFORM_COMPANY_BASICINFO", "平台公司基本信息"),
    ANTIBRIBERY("ANTIBRIBERY", "反贿赂反腐败诚信保证"),
    COMMON("COMMON", "公共模块封面"),
    PLATFORM_COMPANY_ATTACHMENTSECTION("PLATFORM_COMPANY_ATTACHMENTSECTION", "平台公司附件");

    /**
     * 类型
     */
    @EnumValue
    private final String type;

    /**
     * 描述
     */
    private final String desc;
}
